Main Page Widgets Namespaces Book

# Gtk::HSeparator Class Reference
[Widgets]

Inheritance diagram for Gtk::HSeparator:

[legend]
List of all members.

## Detailed Description

Horizontal line widget.

Filler widget used to separate widgets with a visible line. This widget has no window and receives no configuration events. It should be considered a leaf widget.

## Public Member Functions
const GtkHSeparator* | gobj () const
| Provides access to the underlying C GtkObject.
GtkHSeparator* | gobj ()
| Provides access to the underlying C GtkObject.
| HSeparator ()
virtual | ~HSeparator ()
## Related Functions
(Note that these are not member functions.)
Gtk::HSeparator* | wrap (GtkHSeparator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::HSeparator::~HSeparator | ( |  | ) | `[virtual]`

Gtk::HSeparator::HSeparator | ( |  | ) |

## Member Function Documentation

const GtkHSeparator* Gtk::HSeparator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Separator.

GtkHSeparator* Gtk::HSeparator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Separator.

## Friends And Related Function Documentation

Gtk::HSeparator* wrap | ( | GtkHSeparator * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- separator.h